From c0a40e7831b19f75178a45d8db00f5e91d606e33 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Sat, 15 Sep 2018 10:43:44 -0400
Subject: [PATCH 1/2] Updates to major improvements section of release notes.

---
 doc/src/sgml/release-11.sgml | 45 ++++++++++++++++++++++++++++++--------------
 1 file changed, 31 insertions(+), 14 deletions(-)

diff --git a/doc/src/sgml/release-11.sgml b/doc/src/sgml/release-11.sgml
index 684d34c091..f81dd929e3 100644
--- a/doc/src/sgml/release-11.sgml
+++ b/doc/src/sgml/release-11.sgml
@@ -6,7 +6,7 @@
 
   <formalpara>
    <title>Release date:</title>
-   <para>2018-??-?? (CURRENT AS OF 2018-07-30)</para>
+   <para>2018-10-?? (CURRENT AS OF 2018-09-20)</para>
   </formalpara>
 
   <sect2>
@@ -22,7 +22,7 @@
 
     <listitem>
      <para>
-      Major improvements to partitioning:
+      Improvements to partitioning functionality, including:
       <itemizedlist>
        <listitem>
         <para>
@@ -37,9 +37,8 @@
        </listitem>
        <listitem>
         <para>
-         Improved <command>SELECT</command> query performance due to
-         enhanced partition elimination during query processing and
-         execution
+         Improved <command>SELECT</command> performance from enhanced partition
+         elimination strategies during query processing and execution
         </para>
        </listitem>
        <listitem>
@@ -48,29 +47,37 @@
          KEY</literal>, indexes, and triggers on partitioned tables
         </para>
        </listitem>
+       <listitem>
+        <para>
+         Having a "default" partition for storing data that does not match a
+         partition key
+        </para>
+       </listitem>
       </itemizedlist>
      </para>
     </listitem>
 
     <listitem>
      <para>
-      Improvements to parallelism:
+      Improvements to parallelism, including:
       <itemizedlist>
        <listitem>
         <para>
-         Parallelized hash joins
+         B-tree indexes can now be built in parallel with
+         <command>CREATE INDEX</command>
         </para>
        </listitem>
        <listitem>
         <para>
-         Parallelized <command>CREATE INDEX</command> for B-tree indexes
+         Parallelized <command>CREATE TABLE .. AS</command>,
+         <command>CREATE MATERIALIZED VIEW</command>, and certain
+         queries using <literal>UNION</literal>
         </para>
        </listitem>
        <listitem>
         <para>
-         Parallelized <command>CREATE TABLE .. AS</command>,
-         <command>CREATE MATERIALIZED VIEW</command>, and certain
-         queries using <literal>UNION</literal>
+         Performance improvements for parallelized hash joins and parallelized
+         sequential scans
         </para>
        </listitem>
       </itemizedlist>
@@ -79,14 +86,17 @@
 
     <listitem>
      <para>
-      SQL stored procedures, with support for embedded transactions
+      SQL stored procedures that support embedded transactions. Stored
+      procedures can be created with <link linkend="sql-createprocedure">
+      <command>CREATE PROCEDURE</command></link> and executed with
+      <link linkend="sql-call"><command>CALL</command></link>
      </para>
     </listitem>
 
     <listitem>
      <para>
-      JIT compilation of some SQL code, including support for fast evaluation
-      of expressions
+      Introduction of <link linkend="jit">just-in-time</link> (JIT) compilation
+      during query execution
      </para>
     </listitem>
 
@@ -99,6 +109,13 @@
      </para>
     </listitem>
 
+    <listitem>
+     <para>
+      Covering indexes, which can be utilized using the
+      <literal>INCLUDE</literal> clause of <command>CREATE INDEX</command>
+     </para>
+    </listitem>
+
     <listitem>
      <para>
       Many other useful performance improvements, including making
-- 
2.14.3 (Apple Git-98)

